
// ESP32-eye    Version 2    AccessPoint and html webserver
// ========================================================

#include <WiFi.h>

// Replace with your network credentials
const char* ssid     = "ESPWebServer";
const char* password = "12345678";

// Set web server port number to 80
WiFiServer server(80);

// Variable to store the HTTP request
String header;


void setup() {
  Serial.begin(115200);
  delay(20);


  // Connect to Wi-Fi network with SSID and password
  Serial.println("");Serial.println("");
  Serial.print("Setting AP (Access Point)…");
  // Remove the password parameter, if you want the AP (Access Point) to be open
  WiFi.softAP(ssid, password);

  IPAddress IP = WiFi.softAPIP();
  Serial.print("AP IP address: ");
  Serial.println(IP);
  
  server.begin();
}


void loop(){
  WiFiClient client = server.available();   // Listen for incoming clients

  if (client) {                             // If a new client connects,
    Serial.println("New Client.");          // print a message out in the serial port
    String currentLine = "";                // make a String to hold incoming data from the client
    while (client.connected()) {            // loop while the client's connected
      if (client.available()) {             // if there's bytes to read from the client,
        char c = client.read();             // read a byte, then
        Serial.write(c);                    // print it out the serial monitor
        header += c;
        if (c == '\n') {                    // if the byte is a newline character
          // if the current line is blank, you got two newline characters in a row.
          // that's the end of the client HTTP request, so send a response:
          if (currentLine.length() == 0) {
            // HTTP headers always start with a response code (e.g. HTTP/1.1 200 OK)
            // and a content-type so the client knows what's coming, then a blank line:
            client.println("HTTP/1.1 200 OK");
            client.println("Content-type:text/html");
            client.println("Connection: close");
            client.println();
            
            
            // Display the HTML web page
            client.println("<!DOCTYPE html><html>");
            client.println("<head><meta charset=\"utf-8\">");
            client.println("<title>VR eyes</title>");

            client.println("<link rel=\"stylesheet\" href=\"style.css\"></head>");
            client.println("<body bgcolor=\"#0A122A\" text=\"#DF7401\"><center>");
            client.println("<img src=\"http://192.168.4.11/mjpeg/1\" alt=\"leftEYE\" width=430>");
            client.println("<img src=\"http://192.168.4.12/mjpeg/1\" alt=\"rightEYE\" width= 430>");
            client.println("</center></body></html>");
            
            // Web Page Heading
            //client.println("<body><h1>ESP32-eye</h1>");
            
            
            // The HTTP response ends with another blank line
            client.println();
            // Break out of the while loop
            break;
          } else { // if you got a newline, then clear currentLine
            currentLine = "";
          }
        } else if (c != '\r') {  // if you got anything else but a carriage return character,
          currentLine += c;      // add it to the end of the currentLine
        }
      }
    }
    // Clear the header variable
    header = "";
    /*
    // Close the connection
    client.stop();
    Serial.println("Client disconnected.");
    Serial.println("");
    */
  }
}
